LibreOffice: PresentationDocument Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | List of all members
PresentationDocument Service Reference

This is the service provided by a presentation document. More...

Inheritance diagram for PresentationDocument:

## Included Services
service | com::sun::star::drawing::GenericDrawingDocument
| This is a basic service for a drawing document.
Included Services inherited from GenericDrawingDocument
service | com::sun::star::document::OfficeDocument
| this base service describes storing and printing

## Exported Interfaces
interface | com::sun::star::presentation::XPresentationSupplier
| lets you access the presentation of this document.
interface | com::sun::star::presentation::XCustomPresentationSupplier
| lets you access the custom presentations of this document.
interface | com::sun::star::document::XLinkTargetSupplier
| gives you access to the first link hierarchy inside a document, the pages.
Exported Interfaces inherited from GenericDrawingDocument
interface | com::sun::star::lang::XMultiServiceFactory
| this factory lets you create various services that are used inside a drawing document
interface | com::sun::star::beans::XPropertySet
| lets you access the properties of this service.
interface | com::sun::star::drawing::XDrawPageDuplicator
| lets you duplicate pages inside this document.
interface | com::sun::star::drawing::XDrawPagesSupplier
| provides an object that is implementing the service DrawPages.
interface | com::sun::star::drawing::XMasterPagesSupplier
| returns an object that is implementing the service MasterPages.
interface | com::sun::star::drawing::XLayerSupplier
| returns an object that is implementing the service LayerManager.
interface | com::sun::star::style::XStyleFamiliesSupplier
| This interface lets you access the styles contained in this document.
Exported Interfaces inherited from OfficeDocument
interface | com::sun::star::frame::XModel
| represents a component which is created from a URL and arguments
interface | com::sun::star::util::XModifiable
| a storable document should provide information about his modify state
interface | com::sun::star::frame::XStorable
| offers a simple way to store a component to a URL
interface | com::sun::star::view::XPrintable
| offers a way to print a component
interface | XEventBroadcaster
| is an old and deprecated version of the XDocumentEventBroadcaster interface
interface | XDocumentEventBroadcaster
| makes it possible to register listeners which are called whenever a document event occurs
interface | XEventsSupplier
| access to bound event handlers
interface | XViewDataSupplier
| access to some properties describing all open views to a document
interface | com::sun::star::view::XPrintJobBroadcaster
| allows for getting information about a print job
interface | XEmbeddedScripts
| is supported when the document can contain scripts and dialogs
interface | XDocumentPropertiesSupplier
| access to the DocumentProperties.
interface | XUndoManagerSupplier
| provides access to the document's undo manager.

## Additional Inherited Members
Public Types inherited from OfficeDocument
typedef sequence< com::sun::star::beans::PropertyValue > | InteropGrabBag
| Grab bag of document properties, used as a string-any map for interim interop purposes.
Public Member Functions inherited from XModel
boolean | attachResource ([in] string URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments)
| informs a model about its resource description.
string | getURL ()
| provides information about the location of this model
sequence< com::sun::star::beans::PropertyValue > | getArgs ()
| provides read access on currently representation of the com::sun::star::document::MediaDescriptor of this model which describes the model and its state
void | connectController ([in] XController Controller)
| is called whenever a new controller is created for this model.
void | disconnectController ([in] XController Controller)
| is called whenever an existing controller should be deregistered at this model.
void | lockControllers ()
| suspends some notifications to the controllers which are used for display updates.
void | unlockControllers ()
| resumes the notifications which were suspended by XModel::lockControllers().
boolean | hasControllersLocked ()
| determines if there is at least one lock remaining.
XController | getCurrentController ()
| provides access to the controller which currently controls this model
void | setCurrentController ([in] XController Controller) raises ( com::sun::star::container::NoSuchElementException )
| sets a registered controller as the current controller.
com::sun::star::uno::XInterface | getCurrentSelection ()
| provides read access on current selection on controller
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XModifiable
boolean | isModified ()
void | setModified ([in] boolean bModified) raises ( com::sun::star::beans::PropertyVetoException )
| sets the status of the modified-flag from outside of the object.
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified."
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener.
Public Member Functions inherited from XStorable
boolean | hasLocation ()
| The object may know the location because it was loaded from there, or because it is stored there.
string | getLocation ()
| After XStorable::storeAsURL() it returns the URL the object was stored to.
boolean | isReadonly ()
| It is not possible to call XStorable::store() successfully when the data store is read-only.
void | store () raises ( com::sun::star::io::IOException )
| stores the data to the URL from which it was loaded.
void | storeAsURL ([in] string sURL, [in] sequence< com::sun::star::beans::PropertyValue > lArguments) raises ( com::sun::star::io::IOException )
| stores the object's persistent data to a URL and makes this URL the new location of the object.
void | storeToURL ([in] string sURL, [in] sequence< com::sun::star::beans::PropertyValue > lArguments) raises ( com::sun::star::io::IOException )
| stores the object's persistent data to a URL and continues to be a representation of the old URL.
Public Member Functions inherited from XPrintable
sequence< com::sun::star::beans::PropertyValue > | getPrinter ()
void | setPrinter ([in] sequence< com::sun::star::beans::PropertyValue > aPrinter) raises ( com::sun::star::lang::IllegalArgumentException )
| assigns a new printer to the object.
void | print ([in] sequence< com::sun::star::beans::PropertyValue > xOptions) raises ( com::sun::star::lang::IllegalArgumentException )
| prints the object.
Public Member Functions inherited from XMultiServiceFactory
com::sun::star::uno::XInterface | createInstance ([in] string aServiceSpecifier) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name.
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] string ServiceSpecifier, [in] sequence< any > Arguments) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name and passes the arguments to that instance.
sequence< string > | getAvailableServiceNames ()
| Provides the available names of the factory to be used to create instances.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XDrawPageDuplicator
com::sun::star::drawing::XDrawPage | duplicate ([in] com::sun::star::drawing::XDrawPage xPage)
| creates a duplicate of a DrawPage or MasterPage, including the Shapes on that page and inserts it into the same model.
Public Member Functions inherited from XDrawPagesSupplier
com::sun::star::drawing::XDrawPages | getDrawPages ()
Public Member Functions inherited from XMasterPagesSupplier
com::sun::star::drawing::XDrawPages | getMasterPages ()
Public Member Functions inherited from XLayerSupplier
com::sun::star::container::XNameAccess | getLayerManager ()
Public Member Functions inherited from XStyleFamiliesSupplier
com::sun::star::container::XNameAccess | getStyleFamilies ()
| This method returns the collection of style families available in the container document.
Public Member Functions inherited from XPresentationSupplier
com::sun::star::presentation::XPresentation | getPresentation ()
Public Member Functions inherited from XCustomPresentationSupplier
com::sun::star::container::XNameContainer | getCustomPresentations ()
Public Member Functions inherited from XLinkTargetSupplier
com::sun::star::container::XNameAccess | getLinks ()
Public Attributes inherited from GenericDrawingDocument
long | TabStop
| This property specifies the length between the default tab stops inside text in this document in 1/100th mm.
com::sun::star::lang::Locale | CharLocale
| contains the identifier of the default locale of the document.
com::sun::star::awt::Rectangle | VisibleArea
| if this document is an OLE client, this is the current visible area in 100th mm
com::sun::star::i18n::XForbiddenCharacters | ForbiddenCharacters
| This property gives the XForbiddenCharacters.
Public Attributes inherited from OfficeDocument
boolean | AutomaticControlFocus
| controls the focus behavior of the form controls in the document
boolean | ApplyFormDesignMode
| controls the initial (on-load) behavior of the form controls in the document
string | RuntimeUID
| contains a unique id for the document
Protected Member Functions inherited from XEventBroadcaster
void | addEventListener ([in] XEventListener Listener)
| registers the given listener
void | removeEventListener ([in] XEventListener Listener)
| unregisters the given listener
Protected Member Functions inherited from XDocumentEventBroadcaster
void | addDocumentEventListener ([in] XDocumentEventListener Listener)
| registers a listener which is notified about document events
void | removeDocumentEventListener ([in] XDocumentEventListener Listener)
| revokes a listener which has previously been registered to be notified about document events.
void | notifyDocumentEvent ([in] string EventName, [in] ::com::sun::star::frame::XController2 ViewController, [in] any Supplement) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::NoSupportException )
| causes the broadcaster to notify all registered listeners of the given event
Protected Member Functions inherited from XEventsSupplier
com::sun::star::container::XNameReplace | getEvents ()
| offers a list of event handlers which are be bound to events of this object
Protected Member Functions inherited from XViewDataSupplier
::com::sun::star::container::XIndexAccess | getViewData ()
| retrieve information about currently opened view to restore it later
void | setViewData ([in] com::sun::star::container::XIndexAccess Data)
| restore all views which will be represented by given data argument
Protected Member Functions inherited from XPrintJobBroadcaster
void | addPrintJobListener ([in] XPrintJobListener xListener)
| adds an XPrintJobListener to be notified about print progress.
void | removePrintJobListener ([in] XPrintJobListener xListener)
| removes an XPrintJobListener.
Protected Member Functions inherited from XDocumentPropertiesSupplier
XDocumentProperties | getDocumentProperties ()
| provides the document properties object.
Protected Member Functions inherited from XUndoManagerSupplier
XUndoManager | getUndoManager ()
| returns the Undo manager associated with the component.
Protected Attributes inherited from XEmbeddedScripts
::com::sun::star::script::XStorageBasedLibraryContainer | BasicLibraries
| is the container of `StarBasic` macro libraries contained in the document
::com::sun::star::script::XStorageBasedLibraryContainer | DialogLibraries
| is the container of dialogs libraries contained in the document
boolean | AllowMacroExecution
| determines whether executing macros from this document is allowed.

## Detailed Description

This is the service provided by a presentation document.

## Exported Interfaces

## ◆ com::sun::star::drawing::GenericDrawingDocument

service com::sun::star::drawing::GenericDrawingDocument

This is a basic service for a drawing document.

The following services are available at the com::sun::star::lang::XMultiServiceFactory only in a presentation application

- TitleTextShape
- OutlinerShape
- SubtitleShape
- GraphicObjectShape
- PageShape
- OLE2Shape
- ChartShape
- NotesShape
- HandoutShape
- HeaderShape
- FooterShape
- SlideNumberShape
- DateTimeShape
- DocumentSettings
- textfield::Header
- textfield::Footer
- textfield::DateTime

## Exported Interfaces

## ◆ com::sun::star::document::XLinkTargetSupplier

interface com::sun::star::document::XLinkTargetSupplier

gives you access to the first link hierarchy inside a document, the pages.

## ◆ com::sun::star::presentation::XCustomPresentationSupplier

interface com::sun::star::presentation::XCustomPresentationSupplier

lets you access the custom presentations of this document.

## ◆ com::sun::star::presentation::XPresentationSupplier

interface com::sun::star::presentation::XPresentationSupplier

lets you access the presentation of this document.

The documentation for this service was generated from the following file:

- com/sun/star/presentation/PresentationDocument.idl